#! /bin/sh

# $Id: lqclean.sh,v 1.1 93/12/08 23:08:41 lee Exp $

LQTEXTDIR=${LQTEXTDIR-"$HOME/LQTEXTDIR"}
cd $LQTEXTDIR || exit 1

FILES="FIDFile FileList* WIDIndex data freelist wordlist*"
CMDNAME="`basename $0`"

case "$1" in
-i) /bin/rm -i $FILES
    exit $?
    ;;
-f) /bin/rm -f $FILES
    exit $?
    ;;
*)
    N=; C=;
    if test "hello" = "`echo -n hello`"; then N='-n'; else C='\c'; fi
    echo "$CMDNAME: database $LQTEXTDIR"
    echo "$CMDNAME: currently using `du | awk '{print $1}'` blocks"
    echo $N "$CMDNAME: remove database in `pwd`? $C"
    read ans
    case "$ans" in
    [yY]*)
	/bin/rm -f $FILES
	echo "$CMDNAME: database removed."
	exit 0
	;;
    *)
	echo "$CMDNAME: database retained."
	exit 1
	;;
    esac
esac

# /*NOTREACHED*/
exit 1
